org.eclipse.incquery.runtime.matchers.psystem.basicenumerables

## Class PositivePatternCall

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.incquery.runtime.matchers.psystem.EnumerablePConstraint
    - - org.eclipse.incquery.runtime.matchers.psystem.KeyedEnumerablePConstraint<PQuery>
      - - org.eclipse.incquery.runtime.matchers.psystem.basicenumerables.PositivePatternCall

- All Implemented Interfaces:
    IQueryReference, PConstraint

      public class PositivePatternCall
      extends KeyedEnumerablePConstraint<PQuery>
      implements IQueryReference

  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PositivePatternCall(PBody pBody, Tuple variablesTuple, PQuery pattern)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.util.Set<PVariable>,java.util.Set<PVariable>>` | `getFunctionalDependencies(IQueryMetaContext context)` A (preferably minimal) cover of known functional dependencies between variables.
    `PQuery` | `getReferredQuery()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.KeyedEnumerablePConstraint

      `getSupplierKey`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.EnumerablePConstraint

      `doReplaceVariable, getDeducedVariables, getVariableInTuple, getVariablesTuple`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint

      `checkSanity, delete, getAffectedVariables, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PositivePatternCall

          public PositivePatternCall(PBody pBody,
                                     Tuple variablesTuple,
                                     PQuery pattern)

  - ### Method Detail

    - #### getFunctionalDependencies

          public java.util.Map<java.util.Set<PVariable>,java.util.Set<PVariable>> getFunctionalDependencies(IQueryMetaContext context)

      Description copied from interface: `PConstraint`
      A (preferably minimal) cover of known functional dependencies between variables.
      Specified by:
        `getFunctionalDependencies` in interface `PConstraint`
      Overrides:
        `getFunctionalDependencies` in class `BasePConstraint`
      Returns:
        non-trivial functional dependencies in the form of {variables} --> {variables}, where dependencies with the same lhs are unified.

    - #### getReferredQuery

          public PQuery getReferredQuery()

      Specified by:
        `getReferredQuery` in interface `IQueryReference`